/*
 * Copyright (c) 2010 - 2012 Espressif System.
 */
#ifndef __ESP_MAIN_SIM_H__
#define __ESP_MAIN_SIM_H__

#include "sip2_common.h"
#include "linux_inc\list.h"
#include "esp_sip.h"
#include "esp_pub.h"

typedef struct esp_sdio_ctrl {
        struct esp_pub *epub;
        u32 slc_blk_sz;
        u32 target_id;
        u32 slc_window_end_addr;
} esp_sdio_ctrl_t;

int sip_send_cmd(struct esp_sip *sip, int cid, u32 cmdlen, void *cmd);

int esp_sdio_probe(void); 
int esp_pub_init_all(struct esp_pub *epub);
u32 sif_get_blksz(struct esp_pub *epub);
int sif_lldesc_read_sync(struct esp_pub *epub, u8 *buf, u32 len);
int sif_lldesc_write_sync(struct esp_pub *epub, u8 *buf, u32 len);
int SipPollBootupEvent(void);

void sif_dsr(void);
void SipDataProcess(void);
void esp_tx_work(void);


#endif /* !FPGA_DEBUG */

