/*
 *  Copyright (c) 2009- 2012 Espressif System.
 *
 */

#ifndef _ESP_CTRL_H_
#define _ESP_CTRL_H_

#include "sip2_common.h"
#include "esp_sip.h"
#include "esp_pub.h"


int sip_parse_events(struct esp_sip *sip, u8 *buf);
void sip_send_chip_init(struct esp_sip *sip);
//below is justt tests
void sip_handle_target_on(struct esp_sip *sip, u8 *on);
void sip_handle_bootup(struct esp_sip *sip, struct sip_evt_bootup2 *bootup_evt);









void sip_handle_scan_complete(struct esp_sip *sip, u8 *scan_status);
void sip_handle_bssinfo(struct esp_sip *sip, struct sip_evt_bssinfo *bssinfo);
void sip_handle_connect(struct esp_sip *sip, struct sip_evt_connect *connect);
void sip_handle_disconnect(struct esp_sip *sip, struct sip_evt_disconnect *disconnect);



int sip_send_scan(struct sip_cmd_scan *scan_cmd);
int sip_send_config(struct sip_cmd_config *config_cmd);
int sip_send_connect_to_ap(struct sip_cmd_connect *connect_to_ap_cmd);
int sip_send_discon_from_ap(void);
int sip_send_ap_profile_commit(struct sip_cmd_connect *ap_profile_commit_cmd);
int sip_send_reset(void);


int sip_cmd(struct esp_pub *epub, enum sip_cmd_id cmd_id, u8 *cmd_buf, u8 cmd_len);


#endif /* _ESP_CTRL_H_ */

