/********************************************************************************
	* 壨V1.0
	* SysClock
	*
	*     ̳bbs.openmcu.com
	*     www.openmcu.com
	*     䣺support@openmcu.com
	*
	*     V1.0
	*     ߣZQJ
	* :	2012.7.20
	
	* س򣬸λ	
********************************************************************************/  

/* Includes ------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* Scheduler includes. */
#include "FreeRTOS.h"
#include "task.h"
#include "queue.h"
#include "timers.h"
#include "misc.h"

#include "stm32f10x.h"

#include "led_cfg.h"
#include "usart_cfg.h"
#include "systick_cfg.h"
#include "fsmc_sram.h"

#include "BasicWEB.h"

#define PRINTF_UART_METHOD   0      // 0 : ж  1  жϷ?

/* Private function prototypes -----------------------------------------------*/
#ifdef __GNUC__
/* With GCC/RAISONANCE, small printf (option LD Linker->Libraries->Small printf
   set to 'Yes') calls __io_putchar() */
#define PUTCHAR_PROTOTYPE int __io_putchar(int ch)
#else
#define PUTCHAR_PROTOTYPE int fputc(int ch, FILE *f)
#endif /* __GNUC__ */

/*
    SYSCLK = 72 MHz
    HCLK = 72 MHz
    PCLK1 = 36 MHz
    PCLK2 = 72 MHz
    ADCCLK = 36 MHz
*/

extern void ThreadMainProcess(void *pvParameters);

/**
  * @brief  Main program.
  * @param  None
  * @retval None
*/
//extern void ThreadMainProcess(void *pvParameters);
int main(void) 
{
        SystemInit();     	/*ϵͳʼ*/
        //RCC_HCLKConfig(RCC_SYSCLK_Div1);
        //RCC_PCLK1Config(RCC_HCLK_Div2);
        Init_Usart();
		//SRAMReadWriteTest();
		NVIC_PriorityGroupConfig( NVIC_PriorityGroup_4 );

        printf(" Main started\n");

        xTaskCreate( ThreadMainProcess, ( signed portCHAR * ) "WifiMainThread", 1024, NULL, 8, NULL );
        vTaskStartScheduler();
	printf("RTOS end\n");
	return 0;
}


/**
  * @brief  Retargets the C library printf function to the USART.
  * @param  None
  * @retval None
  */
PUTCHAR_PROTOTYPE
{
       u8 tempch = ch;
       
 #if (PRINTF_UART_METHOD==0)
               //USART_ClearFlag(USART1, USART_FLAG_TC);
               while (USART_GetFlagStatus(USART1, USART_FLAG_TXE) == RESET);
               USART_SendData(USART1, (uint8_t)tempch);   
                /* Loop until the end of transmission */
               while (USART_GetFlagStatus(USART1, USART_FLAG_TC) == RESET);
#else
               xSerialPutChar( tempch, comNO_BLOCK );
#endif
                
        if( tempch=='\n')
        {
               tempch = '\r';
                
#if (PRINTF_UART_METHOD==0)
                       //USART_ClearFlag(USART1, USART_FLAG_TC);
                       while (USART_GetFlagStatus(USART1, USART_FLAG_TXE) == RESET);
                       USART_SendData(USART1, (uint8_t)tempch);   
                        /* Loop until the end of transmission */
                       while (USART_GetFlagStatus(USART1, USART_FLAG_TC) == RESET);
#else
                       xSerialPutChar( tempch, comNO_BLOCK );
#endif

        }
        
        return ch;
}


#ifdef  USE_FULL_ASSERT

/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(uint8_t* file, uint32_t line)
{ 
        /* User can add his own implementation to report the file name and line number,
        ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

        printf("Wrong parameters value: file %s on line %d\r\n", file, line);
        /* Infinite loop */
        while (1)
        {

        }
}
#endif



/**
  * @}
*/


/******************* (C) COPYRIGHT 2011 STMicroelectronics *****END OF FILE****/
